using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;

namespace PropertyValueInheritance
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public readonly DependencyProperty FirstDependencyProperty = DependencyProperty.Register(
        "FirstDependency", typeof(Boolean), typeof(MainWindow), new PropertyMetadata(false));

        public MainWindow()
        {
            InitializeComponent();
            DockPanel element1 = new DockPanel();
            StatusBar element1_1 = new StatusBar();
            Label label = new Label();
            label.Content = "Pasek statusu dziedziczy tylko wartość FlowDirection";
            Button button = new Button();
            button.Content = "OK";
            element1_1.Items.Add(label);
            element1_1.Items.Add(button);
            element1.Children.Add(element1_1);
            DockPanel.SetDock(element1_1, Dock.Top);

        }
        

    }
}
